Available buyer market: Korea, Taiwan
Query a list of products based on creation date/time.
The maximum query range is 10 minutes.
Path
GET
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/time-frame
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/time-frame?vendorId=A00012345&createdAtFrom=2020-02-19T10:43:30&createdAtTo=2020-02-19T10:50:30
Request Parameters
Query String Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O | String | Seller ID Unique code issued to Vendor by Coupang ex) A00012345 | ||||
| createdAtFrom | O | String | Date/time of starting creating "yyyy-MM-ddTHH:mm:ss" ex) 2016-12-28T06:20:00 | ||||
| createdAtTo | O | String | Date/time of stopping creating "yyyy-MM-ddTHH:mm:ss" ex) 2016-12-28T06:20:00 | ||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | Number | Result code SUCCESS/ERROR | ||||||||||||||||||||
| message | String | Result message | ||||||||||||||||||||
| data | List of product listed Repeat N times, the number of vendor products | |||||||||||||||||||||
| sellerProductId | Number | Listed Product ID | ||||||||||||||||||||
| sellerProductName | String | Listed Product Name Search for listed product name. 20 characters or less | ||||||||||||||||||||
| displayCategoryCode | Number | Display Category Code | ||||||||||||||||||||
| vendorId | String | Seller ID Unique code issued to Vendor by Seller ex) A00012345 | ||||||||||||||||||||
| saleStartedAt | String | Date/time of starting selling "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||
| saleEndedAt | String | Date/time of stopping selling "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||
| brand | String | Brand To be official Korean/English names | ||||||||||||||||||||
| statusName | String | Status name of listed product
| ||||||||||||||||||||
| createdAt | String | Date/time of product listing "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||
Response Example
{
"code": "SUCCESS",
"message": "",
"data": [
{
"sellerProductId": 123,
"sellerProductName": "[인xx] 컴퓨터잡지",
"displayCategoryCode": null,
"categoryId": 5555,
"productId": 3333,
"vendorId": "A0xxxxx",
"mdId": "jxxx@",
"mdName": "박xxx",
"saleStartedAt": "2015-12-28T06:00:00",
"saleEndedAt": "2099-01-01T00:00:00",
"brand": null,
"statusName": "승인완료",
"createdAt": "2015-12-28T18:57:34"
}
]
}Error Spec
| HTTP status code (error type) | Error message | How to resolve |
|---|---|---|
| 400 (check request parameter) | Vendor [A0012345] cannot query a list of products by another vendor [skma***]. | Check if the seller ID (vendorId) is correct. |
| 400 (check request parameter) | It has exceeded the maximum search range. The maximum range is 10 minutes. | Check if the query start date (createdAtFrom) and the end date (createdAtTo) are correct. You can query up to 10 minutes of data. |
URL API Name
GET_PRODUCTS_BY_TIME_FRAME